package edu.travel.commodity.web;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import edu.travel.commodity.dto.BaseDto;
import edu.travel.commodity.service.ShopFavoriteService;
import edu.travel.commodity.vo.ShopFavoriteVo;
import edu.travel.commodity.vo.ShopProductVo;
import edu.travel.rpc.RPCBaseResponse;
import org.springframework.web.bind.annotation.*;

import org.springframework.beans.factory.annotation.Autowired;

/**
* 收藏表(shop_favorite)表控制层
*
* @author xxxxx
*/
@RestController
@RequestMapping("/shopFavorite")
public class ShopFavoriteController {
/**
* 服务对象
*/
    @Autowired
    private ShopFavoriteService shopFavoriteService;

    /**
     *  获取收藏商品
     * @return {@link RPCBaseResponse }<{@link Page }<{@link ShopProductVo }>>
     */
    @GetMapping("/getFavorite")
    public RPCBaseResponse<Page<ShopFavoriteVo>> getFavorite(BaseDto baseDto){
        return RPCBaseResponse.success(shopFavoriteService.getFavorite(baseDto));
    }
}
